Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std
Class SlideShowLinks

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.SlideShowLinks

public class SlideShowLinks
extends Behavior

Collect links in current document, march through in other window. Use the standard page forward/back to manually step through slide show. Press down on forward and back buttons to choose page farther forward or back. Auto button.

Version:
  $Revision: 1.5 $ $Date: 2003/06/02 05:59:41 $
See Also:
  `SlideShow`

Field Summary
`static java.lang.String` | `MSG_SETAUTO` Toggle auto/manual advance.
`static java.lang.String` | `MSG_START` Open browser with name `SLIDESHOWNAME` and play slide show.
`static java.lang.String` | `SLIDESHOWNAME` Name of browser running slideshow.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`SlideShowLinks()`

Method Summary
`boolean` | `eventBefore(java.awt.AWTEvent e, java.awt.Point rel, Node n)` On heartbeat, if in slideshow browser, show next document.
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Take interval from "intervalms" attribute.
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Start slide show, toggle auto, ...
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` If not slideshow browser, menu option to start.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_START

    public static final java.lang.String MSG_START

  Open browser with name `SLIDESHOWNAME` and play slide show.

  `"slideShowLinks"`.

  See Also:
    Constant Field Values

### MSG_SETAUTO

    public static final java.lang.String MSG_SETAUTO

  Toggle auto/manual advance.

  `"slideshowSetAuto"`.

  See Also:
    Constant Field Values

### SLIDESHOWNAME

    public static final java.lang.String SLIDESHOWNAME

  Name of browser running slideshow.

  See Also:
    Constant Field Values

Constructor Detail

### SlideShowLinks

    public SlideShowLinks()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  If not slideshow browser, menu option to start. If slideshow, auto checkbox.

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Start slide show, toggle auto, ...

  Overrides:
    `semanticEventAfter` in class `Behavior`

### eventBefore

    public boolean eventBefore(java.awt.AWTEvent e,
                               java.awt.Point rel,
                               Node n)

  On heartbeat, if in slideshow browser, show next document.

  Overrides:
    `eventBefore` in class `Behavior`
  See Also:
    `SemanticEvent`, `AWTEvent`, `Browser`, `LensMan`

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Take interval from "intervalms" attribute.

  Overrides:
    `restore` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD